lp:ubuntu/hardy/debhelper

Created by James Westby on 2009-12-18 and last modified on 2009-12-18
Get this branch:
bzr branch lp:ubuntu/hardy/debhelper
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

35. By Michael Bienia on 2008-01-26

* Merge with Debian unstable (LP: #184545). Remaining changes:
  - autoscripts/postinst-scrollkeeper: Do not show scrollkeeper-update
    output.
  - dh_installudev: Use priority 50 by default (instead of z60) and '-'
    separator (instead of '_').
  - dh_installxfonts: Use versioned dependency for xfonts-utils. This should
    be kept until dapper goes out of support, to avoid broken dapper
    backports.
  - dh_python: Add 2.5 as supported Python version. dh_python is generally
    deprecated in favor of dh_py{central,support}, but universe might still
    have some unconverted packages. This should be dropped at some point,
    though.

34. By Matthias Klose on 2007-12-12

Merge with Debian unstable. See 5.0.58ubuntu1 for remaining diffs
(unchanged).

33. By Martin Pitt on 2007-11-23

Merge with Debian unstable. See 5.0.58ubuntu1 for remaining diffs
(unchanged).

32. By Martin Pitt on 2007-10-23

Merge trigger support from Debian unstable.

31. By Martin Pitt on 2007-10-22

* Merge with Debian unstable. Remaining changes:
  - autoscripts/postinst-scrollkeeper: Do not show scrollkeeper-update
    output.
  - dh_installudev: Use priority 50 by default (instead of z60) and '-'
    separator (instead of '_').
  - dh_installxfonts: Use versioned dependency for xfonts-utils. This should
    be kept until dapper goes out of support, to avoid broken dapper
    backports.
  - dh_python: Add 2.5 as supported Python version. dh_python is generally
    deprecated in favor of dh_py{central,support}, but universe might still
    have some unconverted packages. This should be dropped at some point,
    though.

30. By Daniel Holbach on 2007-07-12

autoscripts/postinst-iconcache, autoscripts/postrm-iconcache:
run gtk-update-icon-cache <args> || true to not bomb out in postinsts.

29. By Steve Kowalik on 2007-07-10

Have dh_iconcache call dh_icons instead of itself.

28. By Daniel Holbach on 2007-07-09

* Resynchronise with Debian. Remaining changes:
  - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
  - dh_installudev: Change default priority string to 50, and change the
    separator character to "-".
  - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
    availability of --x11r7-layout.
  - dh_python: Add 2.5 as known version.
  - Add dh_iconcache.
* autoscripts/postinst-iconcache, autoscripts/postrm-iconcache: removed.
* dh_iconcache: replaced with a compatibility script, that simply calls
  dh_icons.
  WARNING: please switch to dh_icons, dh_iconcache will go away.
* dh_icons: drop safety check that only executes dh_icons if a theme cache
  already exists - we don't have a transition period to go through.
* autoscripts/postinst-icons, autoscripts/postrm-icons: ran dos2unix on
  them.

27. By Colin Watson on 2007-06-11

* Resynchronise with Debian. Remaining changes:
  - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
  - Add dh_iconcache.
  - dh_installudev: Change default priority string to 50, and change the
    separator character to "-".
  - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
    availability of --x11r7-layout.
  - dh_python: Add 2.5 as known version.

26. By Colin Watson on 2007-04-26

* Resynchronise with Debian. Remaining changes:
  - autoscripts/postinst-scrollkeeper: Do not display scrollkeeper output.
  - Add dh_iconcache.
  - dh_installwm: In backward-compatibility code, assume /usr/bin/X11
    rather than /usr/X11R6/bin.
  - dh_installudev: Change default priority string to 50, and change the
    separator character to "-".
  - dh_installxfonts: Set a versioned Depends on xfonts-utils to ensure
    availability of --x11r7-layout.
* Drop dh_gconf changes as they only affect upgrades from versions of
  Ubuntu before 6.06.
* Set Ubuntu maintainer address per Debian's request.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/lucid/debhelper
This branch contains Public information 
Everyone can see this information.

Subscribers